Updates for opsi 4.1 / 4.2 stable and testing

Antworten
Benutzeravatar
d.oertel
uib-Team
Beiträge: 3299
Registriert: 04 Jun 2008, 14:27

Updates for opsi 4.1 / 4.2 stable and testing

Beitrag von d.oertel »

Updates for opsi 4.1 / 4.2 stable and testing

Dear opsi users,

today we have released more packages for opsi 4.1 and 4.2 in testing and stable.
================

Important topics in this release:

* The Windows NT6 (4.2.0.1-2) netboot products bring a fix to avoid a double autologon
after the OS installation which leads to stop with loged in Administrator

* The WIM capture products are updated and now also opsi 4.2 (and 4.1) compatible

* opsi-local-image-restore fixes an error that apears when runnining inside the actual bootimages.

* opsi-winst 4.12.4.21-2 fixes a problem that appeared while installation if there are custom skin files.

* opsi-utils contains a hotfix that avoid the unwanted activation of products like windomain by the autosetup configuration at the opsi-package-updater

=====================================
Updates in Testing:
=====================================

Windows Localboot:

* opsi-setup-detector 4.2.0.6-1
* opsi-wim-capture 4.2.0.0-1
* opsi-client-agent_4.1.1.39-1
* opsi-winst_4.12.4.21-2
* opsi-script-test 4.12.4.21-1

Linux Localboot:

* opsi-setup-detector 4.2.0.6-1
* opsi-script_4.12.4.21-1
* opsi-script-test 4.12.4.21-1

opsi-local-image Localboot:

* opsi-local-image-backupstarter 4.2.0.0-1
* opsi-local-image-wimcapture 4.2.0.0-1

macOS Localboot:

* opsi-setup-detector 4.2.0.6-1
* opsi-script_4.12.4.21-1
* opsi-script-test 4.12.4.21-1

Windows Netboot:

* win (NT6) 4.2.0.1-2

Linux Netboot:

* ubuntu 4.1.0.4-7

opsi-local-image Netboot:

* win (NT6) 4.2.0.1-2
* opsi-local-image-restore 4.1.0.1-6

opsi Server:

* opsi-utils 4.2.0.105-1
* In opsi 4.2: opsi-linux-bootimage_20210618-1
* opsiconfd 4.2.0.180-1


opsi Manuals:

* none

=====================================
Updates in Stable:
=====================================

Windows Localboot:

* opsi-winst_4.12.4.21-2

Linux Localboot:

* opsi-linux-client-agent 4.1.1.15-2

opsi-local-image Localboot:

* none

macOS Localboot:

* none

Windows Netboot:

* none

Linux Netboot:

* none

opsi-local-image Netboot:

* none

opsi Server:

* opsi-directory-connector (46.1-1)
* In opsi 4.1: opsi-linux-bootimage_20210607-1
* opsi-utils 4.2.0.105-1

##########

With kind regards
the opsi-team
p.p. detlef oertel

##########

Here are the

Changelogs

===========================================================================================

opsi-wim-capture (4.2.0.0-1) stable; urgency=low (opsi-local-image-wim-capture)

* setup.opsiscript: Windows only
* update to wimlib 1.13.4
* additional check for mounts with net use
* additional Log Warnings for missing access rights on opsi_depot_rw
* capture.xml: remove unneeded <cpi:offlineImage> node
* adapt to switch from winst32.exe to opsi-script.exe
* code cleanup
* try to find partitions even with boot or data partition (not OLI only)
* for detecting if reboot is less than 2 hours use <INT (OLI only)

-- detlef oertel <d.oertel@uib.de> Mon, 14 June 2021 15:00:00 +0000

===========================================================================================

opsi-setup-detector (4.2.0.6) stable; urgency=low

* start at windows without console: osdform: main2: // initate console while windows gui
* enhanced macos install library

-- Detlef Oertel <d.oertel@uib.de> Fri, 18 July 2021 : 15:00:00 +0200

===========================================================================================

windows (4.2.0.1-2) testing; urgency=low

* preventing double autologon
* typo in opsisetuplib.py fixed
* replaced deprecated dict.has_key()

-- Mathias Radtke <m.radtke@uib.de> Thu Jun 17 14:04:26 2021 +0200


windows (4.2.0.1-1) testing; urgency=low

* removed NT5 stuff, adapted postinst part to action processor opsi-script

-- Nils Doerrer <n.doerrer@uib.de> Tue May 25 15:26:06 2021 +0200

===========================================================================================

opsi-local-image-restore (4.1.0.1-6) stable; urgency=low

* replaced deprecated disctionary function

-- Mathias Radtke <m.radtke@uib.de> Thu 17 Jun 2021 11:09:00 +0200

===========================================================================================

opsi-local-image (4.2.0.1-2) testing; urgency=low

* preventing double autologon
* typo in opsisetuplib.py fixed
* replaced deprecated dict.has_key()

-- Mathias Radtke <m.radtke@uib.de> Thu Jun 17 14:20:39 2021 +0200


opsi-local-image (4.2.0.1-1) testing; urgency=low

* removed NT5 stuff, adapted postinst part to action processor opsi-script

-- Nils Doerrer <n.doerrer@uib.de> Tue May 25 15:26:06 2021 +0200

===========================================================================================

opsi-linux-bootimage (20210618-1) testing; urgency=medium

* updated python-opsi

-- Mathias Radtke <m.radtke@uib.de> Fri, 18 Jun 2021 13:40.00 +0200

opsi-linux-bootimage (20210607-1) testing; urgency=low

* kernel 5.12.9

-- Mathias Radtke <m.radtke@uib.de> Mon, 07 Jun 2021 12:40:00 +0200

===========================================================================================

opsi-directory-connector (46.1-1) stable; urgency=medium

* Improvement: config (yaml): convert tabs to spaces

-- uib GmbH <info@uib.de> Fri, 11 Jun 2021 11:21:49 +0000

===========================================================================================

opsi-utils (4.2.0.105-1) stable; urgency=medium

* Improvement: Update python-opsi

-- uib GmbH <info@uib.de> Tue, 22 Jun 2021 11:50:03 +0200

opsi-utils (4.2.0.104-1) stable; urgency=medium

* Feature: Add macOS repo for opsi-package-updater
* Improvement: Update python packages

-- uib GmbH <info@uib.de> Mon, 21 Jun 2021 13:25:39 +0200

===========================================================================================

opsiconfd (4.2.0.180-1) stable; urgency=medium

* Improvement: Update python packages
* Feature: Allow client certificate creation

-- uib GmbH <info@uib.de> Fri, 18 Jun 2021 15:39:43 +0200

===========================================================================================

opsi-winst (4.12.4.21-2) testing; urgency=medium

* fixed preinst/postinst handling of custom skin files

-- Nils Doerrer <n.doerrer@uib.de> Tue, 21 Jun 2021 10:00:00 + 0100

===========================================================================================

opsi-local-image-backup-starter (4.2.0.0-1) stable; urgency=low

* code cleanup
* removed file: "uib_reboot_lib"
* removed file: opsihwbiosinfo.exe

-- detlef oertel <d.oertel@uib.de> Thu, 17 June 2021 15:00:00 +0200

===========================================================================================

ubuntu (4.1.0.4-7) testing; urgency=low

* removed old distributions

-- Mahtias Radtke <m.radtke@uib.de> Tue May 25 11:00:00 2021 +0200

===========================================================================================

opsi-script-test (4.12.4.21-1) stable; urgency=low

* Testing resolveSymlink
* Testing forcePathDelims(<path string>)
* Testing isSymLink(const filepath : string) : boolean
* fix test FileOrFolderExists and FileExists tests for linux

-- detlef oertel <d.oertel@uib.de> Wed, 19 Mai 2021 15:00:00 +0200

===========================================================================================

opsi-linux-client-agent (4.1.1.15-2) testing; urgency=low

* Fixed installation with custom files

-- Nils Dörrer <n.doerrer@uib.de> Mon, 17 May 2021 09:00:00 +0100

opsi-linux-client-agent (4.1.1.15-1) testing; urgency=low

* updated opsi-script to 4.12.4.20
* Updated opsi-client-systray to 4.1.2.4

-- Nils Dörrer <n.doerrer@uib.de> Wed, 12 May 2021 14:00:00 +0100

opsi-linux-client-agent (4.1.1.14-1) testing; urgency=low

* Fixed opsi-deploy-client-agent
* Updated opsiclientd to 4.2.0.70

-- Nils Dörrer <n.doerrer@uib.de> Thu, 019 Apr 2021 12:00:00 +0100

opsi-linux-client-agent (4.1.1.13-1) testing; urgency=medium

* Update opsiclientd to 4.2.0.69
* Update opsi-script to 4.12.4.17
* Update opsi-notifier to 4.2.0.0
* Update opsi-deploy-client-agent 4.2.0.6

-- Nils Doerrer <n.doerrer@uib.de> Wed, 14 Apr 2021 10:30:00 + 0100

===========================================================================================

opsi-client-agent (4.1.1.39-1) stable; urgency=low

* Update opsiclientd to 4.2.0.77

-- Jan Schneider <j.schneider@uib.de> Wed, 21 Jun 2021 08:45:00 +0100

===========================================================================================
opsi support - uib gmbh

For productive opsi installations we recommend support contracts.
http://www.uib.de
http://www.opsi.org
Antworten